Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class jala.Form.Component.Image

    Object
       |
       +--jala.Form.Component.Input
             |
             +--jala.Form.Component.File
                   |
                   +--jala.Form.Component.Image

class jala.Form.Component.Image
extends jala.Form.Component.File

Subclass of jala.Form.Component.File which renders a file upload and validates uploaded files as images.
Defined in Form.js

Constructor Summary
`jala.Form.Component.Image ()` Creates a new Image component instance

Method Summary
`String` | `checkRequirements(<Object> reqData)` Validates an image upload by making sure it's there (if REQUIRE is set), checking the file size, the content type and by trying to construct an image.

Methods inherited from class jala.Form.Component.File
`renderControls`

Methods inherited from class jala.Form.Component.Input
`validate, save, getValue, setValue, render, renderError, renderLabel, renderHelp, render_macro, controls_macro, error_macro, label_macro, help_macro, id_macro, name_macro, type_macro, class_macro, getControlAttributes, checkLength, parseValue`

Constructor Detail

### jala.Form.Component.Image

    jala.Form.Component.Image()

Creates a new Image component instance

Parameters:

`name` - Name of the component, used as name of the html controls.

Returns:

A newly created Image component

Method Detail

### checkRequirements

    String checkRequirements(<Object> reqData)

Validates an image upload by making sure it's there (if REQUIRE is set), checking the file size, the content type and by trying to construct an image. If the file is an image, width and height limitations set by require are checked.

Parameters:

`reqData` - request data

Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008